Database Catalog
DatabaseCatalog object
- namestringPublic Preview
The name of the catalog in UC.
- database_instance_namestringPublic Preview
The name of the DatabaseInstance housing the database.
- database_namestringPublic Preview
The name of the database (in an instance) associated with the catalog.
- uidstringPublic PreviewOutput only
- create_database_if_not_existsbooleanPublic PreviewInput only
Get a Database Catalog Public Preview
GET
Get a Database Catalog.
API scopes: postgres
Parameters
- namestringRequiredpath
Response
Returns the DatabaseCatalog object.
Create a Database Catalog Public Preview
POST
Create a Database Catalog.
API scopes: postgres
Request body
- catalogobjectRequired
Show child attributesHide child attributes
- namestringRequired
The name of the catalog in UC.
- database_instance_namestringRequired
The name of the DatabaseInstance housing the database.
- database_namestringRequired
The name of the database (in an instance) associated with the catalog.
- create_database_if_not_existsbooleanInput only
Response
Returns the DatabaseCatalog object.